Loading...
Searching...
No Matches
log.h File Reference

libnetconf2 logger More...

Go to the source code of this file.

## Typedefs

typedef enum NC_VERB_LEVEL | NC_VERB_LEVEL
| Verbosity levels.

## Enumerations

enum | NC_VERB_LEVEL { NC_VERB_ERROR = 0 , NC_VERB_WARNING = 1 , NC_VERB_VERBOSE = 2 , NC_VERB_DEBUG = 3 , NC_VERB_DEBUG_LOWLVL = 4 }
| Verbosity levels. More...

## Functions

void | nc_libssh_thread_verbosity (int level)
| Set libssh verbosity level.
void | nc_set_print_clb (void(*clb)(NC_VERB_LEVEL, const char *))
| Deprecated, use nc_set_print_clb_session() instead.
void | nc_set_print_clb_session (void(*clb)(const struct nc_session *, NC_VERB_LEVEL, const char *))
| Set libnetconf print callback.
void | nc_verbosity (NC_VERB_LEVEL level)
| Set libnetconf's verbosity level.

## Detailed Description

libnetconf2 logger

Author
  Radek Krejci rkrej.nosp@m.ci@c.nosp@m.esnet.nosp@m..cz

Copyright (c) 2015 - 2021 CESNET, z.s.p.o.

This source code is licensed under BSD 3-Clause License (the "License"). You may not use this file except in compliance with the License. You may obtain a copy of the License at

    https://opensource.org/licenses/BSD-3-Clause

Definition in file log.h.